org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class LocalTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.LocalTest

- Direct Known Subclasses:
    LocalTest.Traversals

      public abstract class LocalTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LocalTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX()`
    `void` | `g_V_localXbothEXcreatedX_limitX1XX_otherV_name()`
    `void` | `g_V_localXinEXknowsX_limitX2XX_outV_name()`
    `void` | `g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX()`
    `void` | `g_V_localXoutE_countX()`
    `void` | `g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value()`
    `void` | `g_VX1X_localXoutEXknowsX_limitX1XX_inV_name()`
    `void` | `g_VX4X_localXbothE_limitX1XX_otherV_name()`
    `void` | `g_VX4X_localXbothE_limitX2XX_otherV_name()`
    `void` | `g_VX4X_localXbothEX1_createdX_limitX1XX()`
    `void` | `g_VX4X_localXbothEXknows_createdX_limitX1XX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_localXbothEXcreatedX_limitX1XX_otherV_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_localXinEXknowsX_limitX2XX_outV_name()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_localXoutE_countX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_localXoutEXknowsX_limitX1XX_inV_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX4X_localXbothE_limitX1XX_otherV_name(Object v4Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX4X_localXbothE_limitX2XX_otherV_name(Object v4Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX4X_localXbothEX1_createdX_limitX1XX(Object v4Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX4X_localXbothEXknows_createdX_limitX1XX(Object v4Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTest

          public LocalTest()

  - ### Method Detail

    - #### get_g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value

          public abstract Traversal<Vertex,String> get_g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value()

    - #### get_g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX()

    - #### get_g_V_localXoutE_countX

          public abstract Traversal<Vertex,Long> get_g_V_localXoutE_countX()

    - #### get_g_VX1X_localXoutEXknowsX_limitX1XX_inV_name

          public abstract Traversal<Vertex,String> get_g_VX1X_localXoutEXknowsX_limitX1XX_inV_name(Object v1Id)

    - #### get_g_V_localXbothEXcreatedX_limitX1XX_otherV_name

          public abstract Traversal<Vertex,String> get_g_V_localXbothEXcreatedX_limitX1XX_otherV_name()

    - #### get_g_VX4X_localXbothEX1_createdX_limitX1XX

          public abstract Traversal<Vertex,Edge> get_g_VX4X_localXbothEX1_createdX_limitX1XX(Object v4Id)

    - #### get_g_VX4X_localXbothEXknows_createdX_limitX1XX

          public abstract Traversal<Vertex,Edge> get_g_VX4X_localXbothEXknows_createdX_limitX1XX(Object v4Id)

    - #### get_g_VX4X_localXbothE_limitX1XX_otherV_name

          public abstract Traversal<Vertex,String> get_g_VX4X_localXbothE_limitX1XX_otherV_name(Object v4Id)

    - #### get_g_VX4X_localXbothE_limitX2XX_otherV_name

          public abstract Traversal<Vertex,String> get_g_VX4X_localXbothE_limitX2XX_otherV_name(Object v4Id)

    - #### get_g_V_localXinEXknowsX_limitX2XX_outV_name

          public abstract Traversal<Vertex,String> get_g_V_localXinEXknowsX_limitX2XX_outV_name()

    - #### get_g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX()

    - #### g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value

          public void g_V_localXpropertiesXlocationX_order_byXvalueX_limitX2XX_value()

    - #### g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX

          public void g_V_hasXlabel_personX_asXaX_localXoutXcreatedX_asXbXX_selectXa_bX_byXnameX_byXidX()

    - #### g_V_localXoutE_countX

          public void g_V_localXoutE_countX()

    - #### g_VX4X_localXbothEXknows_createdX_limitX1XX

          public void g_VX4X_localXbothEXknows_createdX_limitX1XX()

    - #### g_VX4X_localXbothE_limitX1XX_otherV_name

          public void g_VX4X_localXbothE_limitX1XX_otherV_name()

    - #### g_VX4X_localXbothE_limitX2XX_otherV_name

          public void g_VX4X_localXbothE_limitX2XX_otherV_name()

    - #### g_V_localXinEXknowsX_limitX2XX_outV_name

          public void g_V_localXinEXknowsX_limitX2XX_outV_name()

    - #### g_VX4X_localXbothEX1_createdX_limitX1XX

          public void g_VX4X_localXbothEX1_createdX_limitX1XX()

    - #### g_VX1X_localXoutEXknowsX_limitX1XX_inV_name

          public void g_VX1X_localXoutEXknowsX_limitX1XX_inV_name()

    - #### g_V_localXbothEXcreatedX_limitX1XX_otherV_name

          public void g_V_localXbothEXcreatedX_limitX1XX_otherV_name()

    - #### g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX

          public void g_V_localXmatchXproject__created_person__person_name_nameX_selectXname_projectX_by_byXnameX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.